# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'obi/version'

Gem::Specification.new do |spec|
  spec.name          = "obi"
  spec.version       = Obi::VERSION
  spec.authors       = ["Jason Cheong-Kee-You"]
  spec.email         = ["j.chunky@gmail.com"]
  spec.description   = "Quickly start Ruby (or Javascript) katas."
  spec.summary       = "Quickly start Ruby (or Javascript) katas."
  spec.homepage      = "https://github.com/jchunky/obi"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"

  spec.add_runtime_dependency 'active_support'
  spec.add_runtime_dependency 'contest'
  spec.add_runtime_dependency 'i18n' # required by active_support
  spec.add_runtime_dependency 'observr'
  spec.add_runtime_dependency 'rake'
  spec.add_runtime_dependency 'rr'
  spec.add_runtime_dependency 'test-unit'
end
